> ## Documentation Index
> Fetch the complete documentation index at: https://traddal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a custom rule

> Remove one of your organization's restricted-goods rules.

Requires the `restrict:read` scope.

<ParamField path="id" type="integer" required>
  The rule id (from [List custom rules](/api-reference/restrict/rules-list)).
  Returns `404` when the id doesn't exist in your organization.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://{partner}.mytraddal.com/admin/api/v1/restrict/rules/7 \
    -H 'Authorization: Bearer {access_token}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Rule removed",
    "deleted": 1
  }
  ```
</ResponseExample>
